Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1822231

Summary: bookworm requires the deprecated python27
Product: [Fedora] Fedora Reporter: Petr Viktorin (pviktori) <pviktori>
Component: bookwormAssignee: Bob Hepple <bob.hepple>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: bob.hepple
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: bookworm-1.1.3-0.1.20200414git.c7c3643.fc32 bookworm-1.1.3-0.1.20200414git.c7c3643.fc31 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-04-20 09:06:31 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1708725    

Description Petr Viktorin (pviktori) 2020-04-08 14:17:04 UTC
Hello,
Several scripts in data/scripts/mobi_lib have a "/usr/bin/env python2" shebang, making bookworm require the deprecated package python27.
Is it possible to remove these or port them to Python 3?

Comment 1 Bob Hepple 2020-04-14 00:26:29 UTC
Fixed in latest build - upstream has supported python3. See RHBZ#1812411

Comment 2 Fedora Update System 2020-04-14 00:50:50 UTC
FEDORA-2020-829cc2b673 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-829cc2b673

Comment 3 Fedora Update System 2020-04-14 01:08:49 UTC
FEDORA-2020-edf1632d6a has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-edf1632d6a

Comment 4 Fedora Update System 2020-04-14 16:50:18 UTC
FEDORA-2020-829cc2b673 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-829cc2b673`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-829cc2b673

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-04-15 19:57:32 UTC
FEDORA-2020-edf1632d6a has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-edf1632d6a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-edf1632d6a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Bob Hepple 2020-04-16 08:46:41 UTC
Version in testing complies with python3:

sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-edf1632d6a \*

... so I think we can close this off.

Comment 7 Petr Viktorin (pviktori) 2020-04-20 09:06:31 UTC
Indeed. Thank you!

Comment 8 Fedora Update System 2020-04-25 02:22:04 UTC
FEDORA-2020-829cc2b673 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2020-04-25 03:00:26 UTC
FEDORA-2020-edf1632d6a has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.